<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");

switch ($tela):
    case 'incluir':
 		$idespecie=$sessao->getVar("idespecie");
		//caçar o nome da especie
	   // $user = new especies();
		//$user->extras_select = "where  esp_id=".$idespecie ;
        //$user->selecionaTudo($user);
        //while ($res = $user->retornaDados()):
         //   $nomeComum=$res->esp_nome;
        //endwhile;      
        //echo("<h2>Cadastro de especie de $nomeComum </h2>");
		
		$user = new especies();
		$user->setValor('login',antiInject($_POST['esp_nome']));
	    //echo("kkkkkkkkkkkkkkkkkkkkkkleu sesso $idespecie <br>"); 
		
        if (isset($_POST['cadastrar'])):
            $user = new especies(array(
                'esp_nome'=>$_POST['esp_nome'],
                'esp_nome_cientifico'=>$_POST['esp_nome_cientifico'],
            ));


            if ($user->existeRegistro('esp_nome',$_POST['esp_nome'])):
                printMSG('Esta especie já está cadastrada, não pode duplicar o nome.','erro');
                $duplicado = TRUE;
            endif;
				
				
            if ($user->existeRegistro('esp_nome_cientifico',$_POST['esp_nome_cientifico'])):
                printMSG('Esta especie já está cadastrada, não pode duplicar o nome.','erro');
                $duplicado = TRUE;
            endif;
			//echo("duplicado= $duplicado<br>");
			
            if ($duplicado!=TRUE):
                $user->inserir($user);
				$novoID=$user->linhasafetadas;
			    //echo("duplicado= $duplicado novoID=$novoID<br>");
				
                if ($user->linhasafetadas>0):
                    printMSG('Especie '.$_POST['esp_nome'].' inserida e habilitda com sucesso. <a href="'.ADMURL.'?m=habilitaespecei&t=listaEspecies">Exibir cadastros</a>');
					///////////////////////aqui vai habilitar a especie para este laboratorio que a cadastrou nada mais justo, pois obviamente vai querer habilitar////////////
					//vai gravar na tabela habilitaEspecie
					$sql="insert into habilitaespecie(hae_id_labo,hae_cod_especie) values($idLabo,$novoID)";
					$generica=new tabelagenerica();
			        $generica->grava_registro_com_retorno($sql);
					//printMSG('Inseriu especie na coleção de habilitadas. Clique em LISTA DE HABILITADAS se quiser ver todas já habilitadas.');
					/////////fim da habilitacao/////////////
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       esp_nome:{required:true, minlength:3},
                   }
               });
           });
</script>
<form class="userform" method="post" action="">
  <fieldset>
   <legend>Informe o nome da espécie e clique salvar. Automáticamente a espécie estará habilitada para o Laboratório.</legend>
    <ul>
    <li><label for="nome">Nome Comum da espécie:</label>
    <input type="text" size="50" name="esp_nome" autofocus="autofocus" value="<?php echo $_POST['esp_nome']; ?>" /></li>
    <li><label for="nome">Nome científico da espécie:</label>
    <input type="text" size="50" name="esp_nome_cientifico" autofocus="autofocus" value="<?php echo $_POST['esp_nome_cientifico']; ?>" /></li>
	<li class="center">
	<input type="button" onclick="location.href='?m=explicacao&t=explicacao2'" value="Cancelar" />
	<input type="submit" name="cadastrar" value="Salvar dados" /></li>
    </ul>
  </fieldset>
</form>
<?php
break;

/*


    case 'incluirantigocultivs':
        if (isset($_GET['esp_id'])):
	        $idespecie = $_GET['esp_id'];
			//echo("aqui pega o esp_id $idespecie <br>");
	        $sessao->setVar('idespecie',$idespecie);
		endif;//fecha o isset da recepcao de id	
		
		$idespecie=$sessao->getVar("idespecie");
		//caçar o nome da especie
	    $user = new especies();
		$user->extras_select = "where  esp_id=".$idespecie ;
        $user->selecionaTudo($user);
        while ($res = $user->retornaDados()):
            $nomeComum=$res->esp_nome;
        endwhile;      
        echo("<h2>Cadastro de especie de $nomeComum </h2>");
		
		$user = new especiees();
		$user->setValor('login',antiInject($_POST['esp_nome']));
	    //echo("kkkkkkkkkkkkkkkkkkkkkkleu sesso $idespecie <br>"); 
		
        if (isset($_POST['cadastrar'])):
            $user = new especiees(array(
                'esp_nome'=>$_POST['esp_nome'],
                'esp_especie'=>$idespecie,
            ));
            if ($user->existeRegistro('esp_nome',$_POST['esp_nome'])):
                printMSG('Esta especie já está cadastrada, não pode duplicar o nome.','erro');
                $duplicado = TRUE;
            endif;
			//echo("duplicado= $duplicado<br>");
			
            if ($duplicado!=TRUE):
                $user->inserir($user);
				$novoID=$user->linhasafetadas;
			    //echo("duplicado= $duplicado novoID=$novoID<br>");
				
                if ($user->linhasafetadas>0):
                    printMSG('especie '.$_POST['esp_nome'].' inserida e habilitda com sucesso. <a href="'.ADMURL.'?m=habilitaespecie&t=listaespeciees">Exibir cadastros</a>');
					///////////////////////aqui vai habilitar a especie para este laboratorio que a cadastrou nada mais justo, pois obviamente vai querer habilitar////////////
					//vai gravar na tabela habilitaespecie
					$sql="insert into habilitaespecie(hac_id_labo,hac_id_especie) values($idLabo,$novoID)";
					$generica=new tabelagenerica();
			        $generica->grava_registro_com_retorno($sql);
					//printMSG('Inseriu especie na coleção de habilitadas. Clique em LISTA DE HABILITADAS se quiser ver todas já habilitadas.');
					/////////fim da habilitacao/////////////
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       esp_nome:{required:true, minlength:3},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe o nome da especie e clique salvar. Automáticamente a especie estará habilitada para o Laboratório.</legend>
                <ul>
                    <li><label for="nome">Nome da especie:</label>
                    <input type="text" size="50" name="esp_nome" autofocus="autofocus" value="<?php echo $_POST['esp_nome'] ?>" /></li>
                    <li class="center">
					<input type="button" onclick="location.href='?m=explicacao&t=explicacao2'" value="Cancelar" />
					<input type="submit" name="cadastrar" value="Salvar dados" /></li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;
*/





    case 'listaEspeciesDEletar':
        echo '<h2>Selecione uma das espécies habilitadas, para o laboratório.</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Espécie</th><th>Ação</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new especieshabilita();
				$user->extras_select = "where  hae_id_labo=".$idLabo." && hae_cod_especie=esp_id  order by esp_nome ";
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->esp_nome);
					printf('<td class="center">
					<a href="?m=especies&t=incluir&esp_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->esp_id);
					
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
		<br>Orientação:Para que apareça na lista apenas as especies que realmente vão ser usadas, precisa habilitar a especie. Para adicionar outra especie nesta lista, clique em LISTA DE TODAS especies.
                        <li class="center">
							<input type="button" onclick="location.href='?m=habilitaespecie&t=listaGeral'" value="Lista de todas especies" />
						</li>

        <?php        
    break;


	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>